[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TStringHash.ValueOf

Retrieve value of Key

## Declaration

Source position: inifiles.pp line 73

`public function TStringHash.ValueOf(`
`const Key: string`
`):Integer;`

## Arguments

`Key` |  | Key whose value must be returned.

## Function result

Value associated with Key

## Description

ValueOf returns the value of AKey, if it is present. if the key is not present, -1 is returned.

## Errors

None.

## See also

TStringHash.Add |  | Add a new value to the hash
TStringHash.Clear |  | Remove all values
TStringHash.Modify |  | Try to modify an existing value
TStringHash.Remove |  | Remove a key from the hash